zenilib: Zeni::Texture_DX9 Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Friends | List of all members
Zeni::Texture_DX9 Class Reference

`#include <Texture.h>`

Inherits Zeni::Texture.

## Public Member Functions

| Texture_DX9 (const String &filename, const bool &repeat)
| Texture_DX9 (const Image &image)
| Texture_DX9 (const Point2i &size, const bool &repeat)
| For render-to-texture. More...
virtual | ~Texture_DX9 ()
virtual void | apply_Texture () const
| Apply a Texture to upcoming polygons. More...
const Point2i & | get_size () const
| Get the resolution of the Texture on the GPU. More...
ID3DXRenderToSurface * | render_to_surface () const
Public Member Functions inherited from Zeni::Texture
| Texture (const bool &repeat_)
virtual | ~Texture ()

## Friends

class | Video_DX9

## Additional Inherited Members

Protected Attributes inherited from Zeni::Texture
const bool | m_repeat

## Detailed Description

Definition at line 145 of file Texture.h.

## Constructor & Destructor Documentation

Zeni::Texture_DX9::Texture_DX9 | ( | const String & | filename,
|  | const bool & | repeat
| ) |  |

Definition at line 311 of file Texture.cpp.

Zeni::Texture_DX9::Texture_DX9 | ( | const Image & | image | ) |

Definition at line 319 of file Texture.cpp.

Zeni::Texture_DX9::Texture_DX9 | ( | const Point2i & | size,
|  | const bool & | repeat
| ) |  |

For render-to-texture.

Definition at line 327 of file Texture.cpp.

References D3DFMT_A8R8G8B8, D3DFMT_D16, D3DPOOL_DEFAULT, D3DUSAGE_AUTOGENMIPMAP, D3DUSAGE_RENDERTARGET, D3DX_DEFAULT, Zeni::Video_DX9::D3DXCreateRenderToSurface(), Zeni::Video_DX9::D3DXCreateTexture(), Zeni::Video_DX9::get_d3d_device(), Zeni::get_Video(), UINT(), Zeni::Point2i::x, and Zeni::Point2i::y.

Zeni::Texture_DX9::~Texture_DX9 | ( |  | ) |

virtual

Definition at line 362 of file Texture.cpp.

## Member Function Documentation

void Zeni::Texture_DX9::apply_Texture | ( |  | ) | const

virtual

Apply a Texture to upcoming polygons.

Implements Zeni::Texture.

Definition at line 370 of file Texture.cpp.

References D3DSAMP_ADDRESSU, D3DSAMP_ADDRESSV, D3DTA_DIFFUSE, D3DTA_TFACTOR, D3DTADDRESS_CLAMP, D3DTADDRESS_WRAP, D3DTOP_MODULATE, D3DTSS_ALPHAARG1, D3DTSS_ALPHAOP, D3DTSS_COLORARG1, D3DTSS_COLOROP, Zeni::Video_DX9::get_d3d_device(), Zeni::Video::get_lighting(), Zeni::get_Video(), and Zeni::Texture::m_repeat.

const Point2i & Zeni::Texture_DX9::get_size | ( |  | ) | const

inlinevirtual

Get the resolution of the Texture on the GPU.

Implements Zeni::Texture.

Definition at line 54 of file Texture.hxx.

Referenced by Zeni::Video_DX9::get_render_target_size().

ID3DXRenderToSurface * Zeni::Texture_DX9::render_to_surface | ( |  | ) | const

inline

Definition at line 58 of file Texture.hxx.

Referenced by Zeni::Video_DX9::set_render_target().

## Friends And Related Function Documentation

friend class Video_DX9

friend

Definition at line 149 of file Texture.h.

The documentation for this class was generated from the following files:

- zenilib/jni/external/zenilib/zeni_graphics/Zeni/Texture.h
- zenilib/jni/external/zenilib/zeni_graphics/Texture.cpp
- zenilib/jni/external/zenilib/zeni_graphics/Zeni/Texture.hxx